/*
	FrosOS_Scrn.cpp: OS dependant functions called by the Z-Machine.
	Copyright (C) 2005 Fabio Concas

	You can redistribute this file and/or modify it under the terms
	of version 2 of the GNU General Public License as published by
	the Free Software Foundation.  You should have received a copy
	of the license along with this file; see the file GPL.txt.

	This file is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	license for more details.
*/



#include "StdAfx.h"

#include "Zroft.h"



extern "C" {
//#include "FROTZ/Frotz.h"


//****************************************************************************
// os_erase_area
//	Erase specified screen area
//****************************************************************************
void os_erase_area (int top, int left, int bottom, int right) 
{
	Application.EraseScreenArea (--top, --left, --bottom, --right);
}
//****************************************************************************



//****************************************************************************
// os_scroll_area
//	Scroll an area of the screen
//****************************************************************************
void os_scroll_area (int top, int left, int bottom, int right, int units)
{
	Application.ScrollScreenArea (--top, --left, --bottom, --right, units);
}



}	// extern "C"
